org.apache.poi.ss.formula.ptg

## Class NumberPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.ScalarConstantPtg
    - - org.apache.poi.ss.formula.ptg.NumberPtg

- All Implemented Interfaces:
    Duplicatable

      public final class NumberPtg
      extends ScalarConstantPtg

  Number Stores a floating point value in a formula value stored in a 8 byte field using IEEE notation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `sid`
    `static int` | `SIZE`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberPtg(double value)`
    `NumberPtg(LittleEndianInput in)`
    `NumberPtg(java.lang.String value)` Create a NumberPtg from a string representation of the number Number format is not checked, it is expected to be validated in the parser that calls this method.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumberPtg` | `copy()`
    `int` | `getSize()`
    `double` | `getValue()`
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.ScalarConstantPtg

      `getDefaultOperandClass, isBaseToken, toString`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

    - #### sid

          public static final byte sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NumberPtg

          public NumberPtg(LittleEndianInput in)

    - #### NumberPtg

          public NumberPtg(java.lang.String value)

      Create a NumberPtg from a string representation of the number Number format is not checked, it is expected to be validated in the parser that calls this method.
      Parameters:
        `value` - String representation of a floating point number

    - #### NumberPtg

          public NumberPtg(double value)

  - ### Method Detail

    - #### getValue

          public double getValue()

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### toFormulaString

          public java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in class `Ptg`

    - #### copy

          public NumberPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.